[ubuntu-uk] automatic updates easily compromised by a fool.

Eddie Armstrong eddie_armstrong at ntlworld.com
Sat Jul 7 10:49:21 BST 2007

Philip Edwards wrote:
> I might be fast approaching the end of my Ubuntu experiment.
> It looks like I'm heading for a second re-install, both events caused by
> the same problem....It appears that the automatic updates system can be
> easily compromised by a fool.
> My automatic updates no longer works.
> The little orange icon showm that I have updates to install, but when I
> click on it, I get this.
> E: dpkg was interrupted.. You must manually run dpkg –configure -a to
> correct the problem.
> Setting up sun-java5-doc (1.5.0-06-1) ...
> This package is an installer package, it does not actually contain the
> J2SDK documentation. You will need to go download one of the
> archives:
> jdk-1_5_0-doc.zip jdk-1_5_0-doc-ja.zip
I've had this problem - AFAIK it's only because adept etc don't install 
the Java docs properly.
You can either run that same dpkg instruction again and select 'abort' 
(then it won't try to install the Java docs) or download Java docs file 
to your /tmp dir (make sure you get the exact file specified in the dpkg 
output) - then run that same dpkg instruction again and it will find, 
decompress and install javadocs.

More information about the ubuntu-uk mailing list